| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Member Functions | List of all members
ConversationDialog Class Reference
Inheritance diagram for ConversationDialog:

## Signals
void | openFollowStreamDialog (int proto_id, unsigned stream_num, unsigned sub_stream_num)
void | openIOGraph (bool filtered, QVector< uint > conv_ids, QVector< QVariant > conv_agg)
Signals inherited from TrafficTableDialog
void | filterAction (QString filter, FilterAction::Action action, FilterAction::ActionType type)
void | openFollowStreamDialog (int proto_id)
void | openTcpStreamGraph (int graph_type)

## Public Member Functions
| ConversationDialog (QWidget &parent, CaptureFile &cf)
Public Member Functions inherited from TrafficTableDialog
| TrafficTableDialog (QWidget &parent, CaptureFile &cf, const QString &table_name=tr("Unknown"))
Public Member Functions inherited from WiresharkDialog
| WiresharkDialog (QWidget &parent, CaptureFile &capture_file)
bool | fileClosed () const
| true if the file has been closed, false otherwise.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
void | setWindowModality (Qt::WindowModality windowModality)

## Protected Member Functions
void | captureFileClosing ()
| Called when the capture file is about to close. This can be used to disconnect taps and similar actions. updateWidgets() is called at the end. To enable/disable widgets captureFileClosed() is more suitable.
Protected Member Functions inherited from TrafficTableDialog
void | addProgressFrame (QObject *parent)
QDialogButtonBox * | buttonBox () const
QCheckBox * | displayFilterCheckBox () const
QCheckBox * | absoluteTimeCheckBox () const
QVBoxLayout * | getVerticalLayout () const
TrafficTab * | trafficTab () const
TrafficTypesList * | trafficList () const
Protected Member Functions inherited from WiresharkDialog
virtual void | keyPressEvent (QKeyEvent *event)
virtual void | accept ()
virtual void | reject ()
void | beginRetapPackets ()
| Mark the start of a code block that retaps packets. If the user closes the dialog while tapping, the dialog will not be destroyed until endRetapPackets is called.
virtual void | endRetapPackets ()
| Mark the end of a code block that retaps packets. If the user has closed the dialog it will be destroyed at this point.
void | setWindowSubtitle (const QString &subtitle)
| Set the window subtitle, e.g. "Foo Timeouts". The subtitle and file name will be added to the dialog window title.
const QString & | windowSubtitle ()
virtual void | updateWidgets ()
bool | registerTapListener (const char *tap_name, void *tap_data, const char *filter, unsigned flags, tap_reset_cb tap_reset, tap_packet_cb tap_packet, tap_draw_cb tap_draw)
| Convenience wrapper for register_tap_listener. Tap listeners registered via this function are automatically removed during destruction. They can also be explicitly removed using remove_tap_listener or removeTapListeners.
virtual void | removeTapListeners ()
| Remove all tap listeners registered via registerTapListener.
bool | dialogClosed () const
| Check to see if the user has closed (and not minimized) the dialog.
int | retapDepth () const
| Check to see if we're currently retapping. If this is positive, tapping will fail in process_specified_records.
virtual void | captureFileClosed ()
| Called when the capture file was closed. This can be used to enable or disable widgets according to the state of file_closed_. updateWidgets() is called at the end.
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
void | loadSplitterState (QSplitter *splitter=nullptr)

## Additional Inherited Members
Protected Slots inherited from TrafficTableDialog
virtual void | currentTabChanged ()
Protected Slots inherited from WiresharkDialog
void | captureEvent (CaptureEvent)
Protected Attributes inherited from TrafficTableDialog
Ui::TrafficTableDialog * | ui
QPushButton * | copy_bt_
Protected Attributes inherited from WiresharkDialog
CaptureFile & | cap_file_
bool | file_closed_

## Constructor & Destructor Documentation

## ◆ ConversationDialog()

ConversationDialog::ConversationDialog | ( | QWidget & | parent,
|  | CaptureFile & | cf
| ) |  |
| explicit

Create a new conversation window.

Parameters

  parent | Parent widget.
  cf | Capture file. No statistics will be calculated if this is NULL.

## Member Function Documentation

## ◆ captureFileClosing()

void ConversationDialog::captureFileClosing | ( |  | ) |
| protected virtual

Called when the capture file is about to close. This can be used to disconnect taps and similar actions. updateWidgets() is called at the end. To enable/disable widgets captureFileClosed() is more suitable.

Reimplemented from WiresharkDialog.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/conversation_dialog.h
- /builds/wireshark/wireshark/ui/qt/conversation_dialog.cpp